osl::eval::ml::ProgressAttackDefense Class Reference

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros
Public Types | Static Public Member Functions | Static Private Member Functions | Static Private Attributes | List of all members
osl::eval::ml::ProgressAttackDefense Class Reference

`#include <progress.h>`

Collaboration diagram for osl::eval::ml::ProgressAttackDefense:
[legend]

## Public Types
enum | { DIM = 256 }

## Static Public Member Functions
static int | eval (Progress16 black_attack, Progress16 white_defense, Progress16 white_attack, Progress16 black_defense)
static void | setUp (const Weights &weights)

## Static Private Member Functions
static int | index (Progress16 attack, Progress16 defense)

## Static Private Attributes
static CArray< int, 256 > | table

## Detailed Description

Definition at line 27 of file progress.h.

## Member Enumeration Documentation

anonymous enum

Enumerator
DIM |

Definition at line 30 of file progress.h.

## Member Function Documentation

int osl::eval::ml::ProgressAttackDefense::eval | ( | Progress16 | black_attack,
|  | Progress16 | white_defense,
|  | Progress16 | white_attack,
|  | Progress16 | black_defense
| ) |  |
| static

Definition at line 34 of file lib/eval/ml/progress.cc.

static int osl::eval::ml::ProgressAttackDefense::index | ( | Progress16 | attack,
|  | Progress16 | defense
| ) |  |
| inlinestaticprivate

Definition at line 35 of file progress.h.

void osl::eval::ml::ProgressAttackDefense::setUp | ( | const Weights & | weights) |  |
| static

Definition at line 43 of file lib/eval/ml/progress.cc.

References osl::eval::ml::Weights::dimension(), and osl::eval::ml::Weights::value().

## Member Data Documentation

osl::misc::CArray< int, 256 > osl::eval::ml::ProgressAttackDefense::table
| staticprivate

Definition at line 39 of file progress.h.

The documentation for this class was generated from the following files:

- progress.h
- lib/eval/ml/progress.cc